GET
/
v1
/
video
/
status
/
{task_id}
curl --request GET \
  --url https://geoff.ai/api/v1/video/status/task_vid_abc123 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "task_id": "task_vid_abc123",
    "status": "completed",
    "progress": 100,
    "download_url": "https://geoff.ai/api/v1/video/download/task_vid_abc123"
  }
}

Authorization

Authorization
string
required
Bearer token. Bearer API_key.

Path Parameters

task_id
string
required
The task ID returned from a video generation endpoint.
curl --request GET \
  --url https://geoff.ai/api/v1/video/status/task_vid_abc123 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "task_id": "task_vid_abc123",
    "status": "completed",
    "progress": 100,
    "download_url": "https://geoff.ai/api/v1/video/download/task_vid_abc123"
  }
}